Subject: bug#37422: Setting keyboard layout with SLiM login manager doesn't work

From: Wiktor Żelazny<[email-masked]>
Date: Sun, 29 Sep 2019 14:27:59 +0200

On Sat, Sep 28, 2019 at 01:22:27PM +0200, Jan Wielkiewicz wrote:

> set-xorg-configuration doesn't work with slim though, would be nice
> if someone fixed it and the fact (keyboard-layout (keyboard-layout
> "pl,cz" "legacy,ucw")) works on your machine, but not on mine is
> strange.

The last thing that comes to my mind is the line:

   (use-service-modules desktop xorg)

Have you got these in your config.scm?

WŻ